---
search:
  tags:
    - Products V2
    - PATCH
seo:
  description: >-
    Bulk-patches products by id. Successful entities are… Reference for the
    PATCH /api/v2/{team_slug}/{app_slug}/products endpoint in the Management API
    v2.
sidebar:
  label: Update products
  badge: PATCH
title: Update products
type: openapi-operation
---
Bulk-patches products by id. Successful entities are returned in data; per-item failures in errors.

`PATCH /api/v2/{team_slug}/{app_slug}/products`

**Request body** (`application/json`, required)

- `products` (PatchProductItem[], required)

Request body example:

```json
{
  "products": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "product_name": "string",
      "product_number": "string",
      "slug": "string",
      "status": "active",
      "meta_title": "string",
      "meta_description": "string",
      "html_description": "string",
      "html_short_description": "string",
      "tax_group_id": "4496f79f-aa1a-4128-84f5-5c1c0836a341",
      "product_dimensions": {
        "width": 0,
        "height": 0,
        "length": 0,
        "depth": 0,
        "weight": 0,
        "diameter": 0,
        "capacity_milliliter": 0
      },
      "package_dimensions": {
        "width": 0,
        "height": 0,
        "length": 0,
        "depth": 0,
        "weight": 0,
        "diameter": 0,
        "capacity_milliliter": 0
      },
      "brand_id": "1bb61461-e5e3-4ebb-8cc6-5b0c37f1b7da",
      "custom_fields": {
        "property1": "string",
        "property2": "string"
      },
      "exclude_from_feeds": true,
      "product_type": "simple",
      "market_status": [
        {
          "market_id": "6364d859-8e1b-477a-bacc-de8305a9292b",
          "store_group_id": "6c760e36-a704-4b09-93bb-c191a46ca67f",
          "market_slug": "string",
          "store_group_slug": "string",
          "status": "active"
        }
      ]
    }
  ]
}
```

**Responses**

- `200` — Patched (partial success possible)
- `400` — Request-level failure
- `401` — Request-level failure
- `403` — Request-level failure
- `500` — Request-level failure

Response example, 200:

```json
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "product_name": "string",
      "product_number": "string",
      "slug": "string",
      "status": "string",
      "meta_title": "string",
      "meta_description": "string",
      "html_description": "string",
      "html_short_description": "string",
      "description": "string",
      "short_description": "string",
      "tax_group_id": "4496f79f-aa1a-4128-84f5-5c1c0836a341",
      "brand_id": "1bb61461-e5e3-4ebb-8cc6-5b0c37f1b7da",
      "product_type": "string",
      "exclude_from_feeds": true,
      "product_dimensions": {
        "width": 0,
        "height": 0,
        "length": 0,
        "depth": 0,
        "weight": 0,
        "diameter": 0,
        "capacity_milliliter": 0
      },
      "package_dimensions": {
        "width": 0,
        "height": 0,
        "length": 0,
        "depth": 0,
        "weight": 0,
        "diameter": 0,
        "capacity_milliliter": 0
      },
      "custom_fields": {
        "property1": "string",
        "property2": "string"
      },
      "market_status": [
        {
          "market": {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "name": "string",
            "slug": "string"
          },
          "store_group": {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "name": "string",
            "slug": "string"
          },
          "status": "active"
        }
      ],
      "channel_statuses": [
        {
          "channel_id": "bbe8aa76-a4bb-46f6-a785-df8e831cc459",
          "channel_slug": "string",
          "status": "string"
        }
      ],
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "errors": [
    {
      "product_number": "string",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "message": "string"
    }
  ]
}
```
